### Signal

# Gtk EventControllerKey::im-update

#### Declaration

    void
    im_update (
      GtkEventControllerKey self,
      gpointer user_data
    )

#### Description [src]

Emitted whenever the input method context filters away a keypress and prevents the `controller` receiving it.

See gtk_event_controller_key_set_im_context() and gtk_im_context_filter_keypress().

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.